<?php
function drk_add_fake_rate_meta_boxes(){
	add_meta_box(
		"drk_fake_rate",
        __("Manual Rating"),
		"drk_meta_box_fake_rate",
		array("markets","venders",'tlg_channels','other_services','top_forums'),
		"normal"
	);
}
add_action('add_meta_boxes', "drk_add_fake_rate_meta_boxes");

function drk_meta_box_fake_rate( ) {
	global $post;
	$rate_value = intval(get_post_meta($post->ID, '_fake_rate',true));
	?>
    <input type="number" max="10" min="0" value="5" name="_fake_rate" id="_fake_rate">

<?php
}

function drk_save_fake_rate_meta_boxes(){
    global $post;
    if(defined('DOING_AUTOSAVE') && DOING_AUTOSAVE){
        return;
    }
    update_post_meta($post->ID,"_fake_rate", sanitize_key($_POST["_fake_rate"]));
}
add_action("save_post", "drk_save_fake_rate_meta_boxes");